<?xml version="1.0" encoding="UTF-8"?>
<!--
    
Oxygen Embed HTML plugin
Copyright (c) 1998-2022 Syncro Soft SRL, Romania.  All rights reserved.
Licensed under the terms stated in the license file LICENSE 
available in the base directory of this plugin.

-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="2.0"
	xmlns:saxon="http://saxon.sf.net/"
	exclude-result-prefixes="saxon"
	xmlns:oxy="http://www.oxygenxml.com/extensions/"
	>
	<xsl:template match="steps[step]">
		<xsl:variable name="var">
			<foreign outputclass="embed-mermaid-diagram" class="- topic/foreign ">
				stateDiagram-v2
				Title: <xsl:value-of select="oxy:escapeAndNormalize(ancestor::task/title)"/>
				Title --> State1
				<xsl:for-each select="step">
					<xsl:variable name="statePos" select="position()"/>
					State<xsl:value-of select="$statePos"/>: <xsl:value-of select="oxy:escapeAndNormalize(cmd)"/>
					<xsl:if test="position() > 1">
						State<xsl:value-of select="$statePos - 1"/> --> State<xsl:value-of select="$statePos"/> 
					</xsl:if>
					<xsl:if test="substeps/substep">
						<xsl:for-each select="substeps/substep">
							State<xsl:value-of select="$statePos"/><xsl:value-of select="position()"/>: <xsl:value-of select="oxy:escapeAndNormalize(cmd)"/>   
						</xsl:for-each>
						state State<xsl:value-of select="$statePos"/>{
						<xsl:for-each select="substeps/substep">
							<xsl:if test="position() > 1">
								State<xsl:value-of select="$statePos"/><xsl:value-of select="position() - 1"/> --> State<xsl:value-of select="$statePos"/><xsl:value-of select="position()"/> 
							</xsl:if>
						</xsl:for-each>
						}
					</xsl:if>
				</xsl:for-each>
			</foreign>
		</xsl:variable>
		<xsl:apply-templates select="$var"/>
		<xsl:next-match/>
	</xsl:template>
	
	<xsl:function name="oxy:escapeAndNormalize">
		<xsl:param name="text"/>
		<xsl:value-of select="normalize-space(replace($text, ':', '#58;'))"/>
	</xsl:function>
	
</xsl:stylesheet>